%define _prefix /scisoft

Name:           scisoft-fitsverify
Version:        4.18
Release:        1%{?dist}
Summary:        Utility for checking if files conform to the FITS standard.
Distribution:   Scisoft
Group:          Applications/Engineering
License:        HEASARC
Packager:       Carlos Guirao
URL:            https://heasarc.gsfc.nasa.gov/docs/software/ftools/fitsverify/
Source0:        https://heasarc.gsfc.nasa.gov/docs/software/ftools/fitsverify/fitsverify-%{version}.tar.gz

%if 0%{?fedora} >= 28 
BuildRequires:  cfitsio-devel libnsl2-devel
Requires:       cfitsio
%else
BuildRequires:  cfitsio-devel
Requires:       cfitsio
%endif

%description
Fitsverify is a computer program that rigorously checks whether a FITS
(Flexible Image Transport System) data file conforms to the requirements defined
in Version 3.0 of the FITS Standard document.

%prep
%setup -q -n fitsverify

%build
gcc -O2 -g -o fitsverify -DSTANDALONE -lcfitsio -lm -lnsl -lpthread \
    -I/usr/include/cfitsio ftverify.c fvrf_data.c fvrf_file.c fvrf_head.c \
    fvrf_key.c fvrf_misc.c

%install
install -m 755 -d %{buildroot}%{_bindir}
cp %{_builddir}/fitsverify/fitsverify %{buildroot}%{_bindir}

%files
%{_prefix}
%defattr(-,root,root,-)

%changelog
* Mon Feb 26 2018 Artur Szostak <aszostak@partner.eso.org> 4.16
- Updated to use standardised installation directory macros.
- Integrating with automated build system.

* Wed Nov 13 2013 Carlos Guirao <cguirao@eso.org>
- First integration based on SRPM
